REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single EmailAccount record by its Id.
{ "BusinessId": 123, "DisplayName": "<string>", "EmailAddress": "<string>", "Active": true, "SendNotificationOnNewMessages": true, "NotificationEmailAddress": "<string>", "IncomingServer": "<string>", "IncomingServerType": 123, "IncomingServerPort": 123, "IncomingServerSSL": true, "IncomingServerUsername": "<string>", "DeleteMessageSettings": 123, "OutgoingServer": "<string>", "OutgoingServerPort": 123, "OutgoingServerSSL": true, "OutgoingServerUsername": "<string>", "ReplyToEmail": "<string>", "LastCheckTime": "<string>", "LastMessageId": 123, "ErrorCount": 123, "GoogleAccessToken": "<string>", "Office365AccessToken": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
EmailAccount-Read
curl -X GET \ "https://spaces.nexudus.com/api/crm/emailaccounts/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "DisplayName": "", "EmailAddress": "", "Active": false, "SendNotificationOnNewMessages": false, "NotificationEmailAddress": null, "IncomingServer": "", "IncomingServerType": 0, "IncomingServerPort": 0, "IncomingServerSSL": false, "IncomingServerUsername": "", "DeleteMessageSettings": 0, "OutgoingServer": "", "OutgoingServerPort": 0, "OutgoingServerSSL": false, "OutgoingServerUsername": "", "ReplyToEmail": null, "LastCheckTime": null, "LastMessageId": 0, "ErrorCount": 0, "GoogleAccessToken": null, "Office365AccessToken": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "EmailAccount Example", "LocalizationDetails": null, "CustomFields": null }